Subject: bug#73728: 29.3; Specifing an --alternate-editor for emacscleintw.exe with custom --init-directory does not work on Windows

From: Eli Zaretskii <[email-masked]>
Date: Thu, 10 Oct 2024 21:12:03 +0300

> From: Sebastián Monía <[email-masked]>
> Cc: Eli Zaretskii <[email-masked]>,  [email-masked]
> Date: Thu, 10 Oct 2024 13:58:57 -0400
> 
> 
> Jonas Großekathöfer <[email-masked]> writes:  
> >  Quality of life improvement: I have my configs online in a git-repo. I manage the dotfiles on my Linux machine with stow. On my Windows machine I want
> >  Emacs to follow that structure. As such I want to link to the config via --init-directory, so that I can place the Dotfiles-Folder where ever I want. However,
> >  I can't place the Dotfiles folder so, that the ".emacs.d/"-folder ends up under the parent "~/" as well.
> 
> >  I am open to suggestions if I am missing the super obvious solution here. (:
> 
> I am using a "junction" to link ~/.emacs.d to the directory where I
> cloned my Emacs config. I don't know if that helps.
> Unlike symlinks, junctions don't need admin rights.

Why not simply change the directory to which the HOME variable points?